
Redmine - Defect #7045

links broken after upgrade 1.0.4.devel.4465 (MySQL)

2010-12-04 18:10 - Stephane Malinet

Status: Closed Start date: 2010-12-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

nginx + passenger

URL -> <redmine_site>/projects : results code 500

ActionView::TemplateError (No builder for format ) on line #1 of app/views/projects/index.apit:

1: api.array :projects do

2:   @projects.each do |project|

3:     api.project do

4:       api.id          project.id

    lib/redmine/views/builders.rb:25:in `for'

    app/views/projects/index.apit:1:in `_run_apit_app47views47projects47index46apit'

...

 URL -> <redmine_site>/users/X : results code 500

ActionView::TemplateError (No builder for format ) on line #1 of app/views/users/show.apit:

1: api.user do

2:   api.id         @user.id

3:   api.login      @user.login if User.current.admin?

4:   api.firstname  @user.firstname

    lib/redmine/views/builders.rb:25:in `for'

    app/views/users/show.apit:1:in `_run_apit_app47views47users47show46apit'

    app/controllers/users_controller.rb:73:in `show'

    app/controllers/users_controller.rb:72:in `show'

...

Related issues:

Is duplicate of Redmine - Defect #7038: can't open project page with r4460 Closed 2010-12-03

History

#1 - 2010-12-04 18:35 - Jean-Philippe Lang

This should be fixed by r4466. Please, confirm.

#2 - 2010-12-04 18:47 - Stephane Malinet

Updated to revision 4466 : the problem is fixed for me...

Sorry for duplicate issue... et merci pour la réactivité!!! :)

#3 - 2010-12-04 19:09 - Jean-Philippe Lang

- Status changed from New to Closed

Thanks for the feedback.
